Summary: A graphical interface for detecting and configuring soundcards
Name: system-config-soundcard
Version: 2.0.6
Release: 14%{dist}
URL: http://fedoraproject.org/wiki/SystemConfig/soundcard
License: GPLv2+
ExclusiveOS: Linux
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
Source0: %{name}-%{version}.tar.bz2
Patch: system-config-soundcard-2.0.6-dbus.patch
Patch1: system-config-soundcard-2.0.6-update.patch
Patch2: system-config-soundcard-no-vendor.patch
Patch3: system-config-soundcard-2.0.6-usb-hack.patch
Patch4: system-config-soundcard-2.0.6-desktop.patch
Patch5: system-config-soundcard-2.0.6-reset.patch
Patch6: system-config-soundcard-2.0.6-hwdevice.patch
Patch7: system-config-soundcard-2.0.6-button-order.patch
Patch8: system-config-soundcard-2.0.6-review.patch
Patch9: system-config-soundcard-2.0.6-icon.patch
BuildRequires: desktop-file-utils
BuildRequires: gettext, intltool
ExcludeArch: s390 s390x
Obsoletes: redhat-config-soundcard
Requires: pygtk2
Requires: python2
Requires: usermode >= 1.36
Requires: rhpl
Requires: kudzu
Requires: alsa-utils >= 1.0.11
Requires: alsa-lib
Requires: pycairo >= 1.2.0
Requires: hicolor-icon-theme
Requires: dbus-python
Requires(post): gtk2
Requires(postun): gtk2

%description
system-config-soundcard is a graphical user interface that 
detects and configures the soundcard(s) on the system.

%prep
%setup  -q
%patch  -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
rm -f system-config-soundcard.desktop

make INSTROOT=$RPM_BUILD_ROOT install

desktop-file-install --vendor system --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Red-Hat-Base                             \
  $RPM_BUILD_ROOT%{_datadir}/applications/system-config-soundcard.desktop

mkdir -p $RPM_BUILD_ROOT/root
touch $RPM_BUILD_ROOT/root/scsound.log

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/system-config-soundcard
%dir %{_datadir}/system-config-soundcard
%{_datadir}/system-config-soundcard/*
%attr(0644,root,root) %{_datadir}/applications/system-config-soundcard.desktop
%attr(0644,root,root) %{_datadir}/icons/hicolor/48x48/apps/system-config-soundcard.png
%attr(0644,root,root) %config(noreplace) /etc/security/console.apps/system-config-soundcard
%attr(0644,root,root) %config(noreplace) /etc/pam.d/system-config-soundcard
%attr(0755,root,root) /usr/share/system-config-soundcard/system-config-soundcard.logger
%ghost /root/scsound.log

%changelog
* Fri Dec 7 2007 Martin Stransky <stransky@redhat.com> - 2.0.6-14
- added dbus-python dependency (#402031)

* Wed Dec 5 2007 Martin Stransky <stransky@redhat.com> - 2.0.6-13
- more review fixes

* Mon Dec 3 2007 Martin Stransky <stransky@redhat.com> - 2.0.6-12
- package review fixes

* Wed Oct 10 2007 Martin Stransky <stransky@redhat.com> - 2.0.6-11
- fixed #319151 - Wrong button ordering
- Updated license tag

* Tue Sep 26 2007 Martin Stransky <stransky@redhat.com> - 2.0.6-10
- fixed hardware device configuration

* Tue Sep 25 2007 Martin Stransky <stransky@redhat.com> - 2.0.6-9
- fixed #291691 - Sound card not working gives a window with 
  invalid instructions on first boot
- rewritting configuration file option splitted to config restore 
  and config reset
- used plughw device in the hardware configuration instead of the hw

* Wed Jul 25 2007 Martin Stransky <stransky@redhat.com> - 2.0.6-8
- fixed #245875 - desktop file categories

* Tue Jun 26 2007 Martin Stransky <stransky@redhat.com> - 2.0.6-7
- fixed broken URL (#237724)

* Mon May 28 2007 Martin Stransky <stransky@redhat.com> - 2.0.6-6
- update the no-vendor fix (#237709)
- added a hack for USB devices (#232217)
- disabled fix for (#227778)

* Mon May 21 2007 Jeremy Katz <katzj@redhat.com> - 2.0.6-5
- fix case of no vendor being able to be found in the hal tree (#237709)

* Wed Apr 11 2007 Martin Stransky <stransky@redhat.com> 2.0.6-4
- fixed #227778 - Firstboot soundcard screen 'too wide' 
  with long name
- fixed device and initial soundcard configuration
- fixed modprobe.conf parser

* Wed Mar 28 2007 Jeremy Katz <katzj@redhat.com> - 2.0.6-3
- sox doesn't get used anymore; don't require it

* Tue Jan 23 2007 Martin Stransky <stransky@redhat.com> 2.0.6-2
- fixed #223915 - system-config-soundcard does not start

* Thu Dec 21 2006 Martin Stransky <stransky@redhat.com> 2.0.6-1
- translation update

* Thu Dec 7 2006 Martin Stransky <stransky@redhat.com> 2.0.5-3
- removed unused code (#218389)
- hide tabs if only one sound device is detected (#208411)

* Fri Dec 1 2006 Adam Jackson <ajax@redhat.com> 2.0.5-2
- Bump to fix 6 to 7 upgrades.

* Mon Nov 27 2006 Martin Stransky <stransky@redhat.com> 2.0.5-1
- updated translations

* Mon Oct 17 2006 Martin Stransky <stransky@redhat.com> 2.0.4-2
- fixed crashing on box w/o sound card

* Mon Oct 16 2006 Martin Stransky <stransky@redhat.com> 2.0.4-1
- fix for #210730: Crashes in certain locales

* Mon Sep 11 2006 Martin Stransky <stransky@redhat.com> 2.0.3-2
- i18n fix (#205862)
- added dist tag

* Sat Sep 2 2006 Martin Stransky <stransky@redhat.com> 2.0.3-1
- uploaded translated package

* Mon Jul 24 2006 Martin Stransky <stransky@redhat.com> 2.0.1-2
- removed %%preun part, it was redundant (#199691, #199838)

* Fri Jul 21 2006 Martin Stransky <stransky@redhat.com> 2.0.1-1
- removed ainit parts, sync. with upstream

* Tue Jul 20 2006 Martin Stransky <stransky@redhat.com> 2.0.0-3
- fixed pycairo Requires

* Tue Jul 18 2006 Martin Stransky <stransky@redhat.com> 2.0.0-2
- added pycairo to Requires
- compacted card detection
- fixed info and error dialog boxes
- fixed configuration loading
- fixed playback (added script)

* Thu Jun 30 2006 Martin Stransky <stransky@redhat.com> 2.0.0-1
- new upstream

* Mon Jun 05 2006 Jesse Keating <jkeating@redhat.com> 1.2.17-6
- Added missing BuildRequires intltool
- Added Requires(post) and (postun) on gtk2

* Wed Mar 27 2006 Martin Stransky <stransky@redhat.com> 1.2.17-5
- added a log entry

* Wed Mar 15 2006 Martin Stransky <stransky@redhat.com> 1.2.17-4
- small fix in volume settings, inspired by #184299

* Wed Mar 10 2006 Martin Stransky <stransky@redhat.com> 1.2.17-3
- fixed kudzu logging and saving settings during firstboot

* Wed Mar 08 2006 Martin Stransky <stransky@redhat.com> 1.2.17-2
- added "ok" button for save configuration
- gui fix

* Wed Mar 08 2006 Martin Stransky <stransky@redhat.com> 1.2.17-1
- modified look inspired by tmraz
- removed obsolete variables

* Fri Mar 03 2006 Martin Stransky <stransky@redhat.com> 1.2.16-3
- fix for #183524 - scsound.log file not created after 
                    failing to configure sound card

* Mon Feb 27 2006 Martin Stransky <stransky@redhat.com> 1.2.16-2
- added hicolor-icon-theme to PreReq, (#182880, #182881)

* Wed Feb 01 2006 Martin Stransky <stransky@redhat.com> 1.2.16-1
- volume control, new look, music (#178124)

* Wed Feb 01 2006 Martin Stransky <stransky@redhat.com> 1.2.14-6
- added alsa-lib/utils log

* Mon Jan 30 2006 Martin Stransky <stransky@redhat.com> 1.2.14-5
- added kudzu-log

* Tue Jan 18 2006 Martin Stransky <stransky@redhat.com> 1.2.14-4
- text clean-up

* Tue Jan 17 2006 Martin Stransky <stransky@redhat.com> 1.2.14-3
- added ainit configuration

* Thu Jan 12 2006 Martin Stransky <stransky@redhat.com> 1.2.14-2
- added patch for menu entries (#177479)

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Oct 26 2005 Martin Stransky <stransky@redhat.com> 1.2.14
- fix for #170073 - Cannot configure snd-dummy
- fix for #171545 - Please do not hard code file name into
- fix for #156802 - Menu entry not localized

* Sun Oct 16 2005 Martin Stransky <stransky@redhat.com> 1.2.12-6
- new pam file (#170648 – pam_stack is deprecated)

* Wed Aug 17 2005 Martin Stransky <stransky@redhat.com> 1.2.12-5
- modified test button size
- added new log entries

* Wed Jul 27 2005 Martin Stransky <stransky@redhat.com> 1.2.12-4
- moved /usr/bin/alsaunmute and /usr/bin/alsacard to /bin
- removed default_card (#134317)
- added sorting for cards
- added HW/SW config switch
- added log file (/root/scsound.log)
- added dialog for default audio device
- set non-blocking mode for aplay

* Mon Jul 11 2005 Martin Stransky <stransky@redhat.com> 1.2.12-3
- using /usr/bin/alsaunmute for unmuting cards

* Mon Jun 20 2005 Martin Stransky <stransky@redhat.com> 1.2.12-2
- read cards mumbers from /proc/asound/modules

* Fri May 27 2005 Martin Stransky <stransky@redhat.com> 1.2.12
- fix order of cards
- fix detection/setting of default card

* Mon May 23 2005 Jeremy Katz <katzj@redhat.com> - 1.2.11-5
- fix probing of mac audio (#157932)

* Sat Apr 02 2005 - Bastien Nocera <hadess@hadess.net> 1.2.11-1
- unmute the card we're about to play sound for when using ALSA
- fix setting the volumes with amixer
- Umute PCM-2 and "DRC Range" as well (#127863) (#146357)
- Remove unneeded alsa-lib dep (#134319)
- Remove use of deprecated gtk.FALSE and gtk.TRUE (#153053)
- Scan the ISA and MacIO buses for soundcards (#146888)
- Write an asound.conf file even when there's only one soundcard (#134339)
- Don't crash when we can't find the default soundcard, or the description
  doesn't contain a space (#142801)
- Use the plughw device to playback the test sample (#134335)

* Mon Mar 28 2005 Christopher Aillon <caillon@redhat.com>
- rebuilt

* Fri Mar 25 2005 Christopher Aillon <caillon@redhat.com> 1.2.10-2
- Update the GTK+ theme icon cache on (un)install

* Wed Sep 29 2004 - Bastien Nocera <bnocera@redhat.com> 1.2.10-1
- Added a kudzu dependency (#133756)

* Fri Sep 10 2004 Bill Nottingham <notting@redhat.com> 1.2.9-1
- build changes into a 1.2.9 release

* Sun Aug 01 2004 Bastien Nocera <bnocera@redhat.com>
- write a /etc/asound.conf when changing thedefault card

* Wed Jul 21 2004 Bastien Nocera <bnocera@redhat.com>
- remove useless debug
- remove use of deprecated Python functions,
- list USB audio devices
- don't crash if we can't get the whole maker/model
- use aplay to play sounds on 2.6 kernels
	
* Thu Apr 15 2004 Bill Nottingham <notting@redhat.com> 1.2.8-1
- wait on commands spawned so that modules can load

* Mon Apr 12 2004 Brent Fox <bfox@redhat.com> 1.2.7-4
- fix icon path (bug #120185)

* Wed Mar 10 2004 Brent Fox <bfox@redhat.com> 1.2.7-3
- run amixer with "-q" for quiet mode

* Wed Mar 10 2004 Brent Fox <bfox@redhat.com> 1.2.7-2
- don't unload/reload modules

* Wed Mar 10 2004 Brent Fox <bfox@redhat.com> 1.2.7-1
- add Requires on alsa-lib and alsa-utils (bug #117989)

* Thu Mar  4 2004 Brent Fox <bfox@redhat.com> 1.2.6-1
- remove reference to sndconfig

* Tue Mar  2 2004 Bill Nottingham <notting@redhat.com> 1.2.5-1
- handle missing amixer gracefully (#117082)

* Wed Feb 25 2004 Bill Nottingham <notting@redhat.com> 1.2.4-1
- write alsactl lines for 2.6, use amixer to unmute

* Mon Feb 16 2004 Brent Fox <bfox@redhat.com> 1.2.3-1
- fix some product naming in soundcard.py (bug #115698)

* Thu Jan 29 2004 Jeremy Katz <katzj@redhat.com> - 1.2.2-1
- some fixes for kernel type changes, make it detect the right thing

* Tue Jan 27 2004 Brent Fox <bfox@redhat.com> 1.2.1-1
- patch from Spot to support 2.6 kernel for FC2

* Thu Nov 20 2003 Brent Fox <bfox@redhat.com> 1.1.3-1
- fix path problem in system-config-soundcard

* Wed Nov 19 2003 Brent Fox <bfox@redhat.com> 1.1.2-1
- rebuild

* Fri Nov 14 2003 Brent Fox <bfox@redhat.com> 1.1.0-1
- rename from redhat-config-soundcard into system-config-soundcard
- add Obsoletes for redhat-config-soundcard
- make changes for Python2.3

* Mon Sep 15 2003 Brent Fox <bfox@redhat.com> 1.0.8-2
- bump release and rebuild

* Mon Sep 15 2003 Brent Fox <bfox@redhat.com> 1.0.8-1
- make sure Danish po file charset is UTF-8 (bug #104190)

* Thu Aug 14 2003 Brent Fox <bfox@redhat.com> 1.0.7-1
- tag on every build

* Wed Aug 13 2003 Brent Fox <bfox@redhat.com> 1.0.6-1
- replace BuildRequires on python-tools with gettext

* Tue May 27 2003 Brent Fox <bfox@redhat.com> 1.0.5-2
- fix desktop file encoding problem (bug #91685)

* Wed May 21 2003 Brent Fox <bfox@redhat.com> 1.0.5-1
- make parser ignore commented lines in modules.conf

* Fri May 16 2003 Brent Fox <bfox@redhat.com> 1.0.4-3
- convert da.po to UTF-8 (bug #88461)

* Thu Feb 13 2003 Brent Fox <bfox@redhat.com> 1.0.4-2
- Add BuildRequires for python-tools (bug #84218)

* Wed Feb  5 2003 Brent Fox <bfox@redhat.com> 1.0.4-1
- remove cards with unknown drivers from the list (bug #83234)

* Thu Jan 30 2003 Brent Fox <bfox@redhat.com> 1.0.3-1
- bump and build

* Tue Jan 14 2003 Brent Fox <bfox@redhat.com> 1.0.2-4
- Don't need parent window for dialogs (#81843)

* Tue Dec 24 2002 Brent Fox <bfox@redhat.com> 1.0.2-3
- prevent duplicate entries in /etc/modules.conf (bug #80305)

* Wed Dec 18 2002 Brent Fox <bfox@redhat.com> 1.0.2-2
- make sure the program exits properly with no soundcards found (#79951)

* Fri Nov 22 2002 Brent Fox <bfox@redhat.com> 
- Ask the user if they heard the test sound or not

* Thu Nov 21 2002 Brent Fox <bfox@redhat.com> 1.0.2-1
- Handle multiple cards better

* Wed Nov 13 2002 Brent Fox <bfox@redhat.com> 1.0.1-4
- open modules.conf

* Tue Nov 12 2002 Brent Fox <bfox@redhat.com> 1.0.1-3
- Rebuild for latest translations

* Fri Aug 30 2002 Brent Fox <bfox@redhat.com> 1.0.1-2
- pull in latest translations

* Wed Aug 28 2002 Brent Fox <bfox@redhat.com> 1.0.1-1
- Convert to noarch

* Wed Aug 28 2002 Brent Fox <bfox@redhat.com> 1.0.0-3
- rebuild for latest translations

* Mon Aug 26 2002 Brent Fox <bfox@redhat.com> 1.0.0-2
- recorded new sound sample

* Wed Aug 21 2002 Brent Fox <bfox@redhat.com> 1.0.0-1
- pull translation domains from rhpl

* Tue Aug 13 2002 Brent Fox <bfox@redhat.com> 0.9.9-3
- pull in translations for desktop file

* Mon Aug 12 2002 Tammy Fox <tfox@redhat.com> 0.9.9-2
- replace System with SystemSetup in desktop file categories

* Mon Aug 05 2002 Brent Fox <bfox@redhat.com> 0.9.9-1
- Pull in desktop file translations

* Fri Aug 02 2002 Brent Fox <bfox@redhat.com> 0.9.8-1
- Make changes for new pam timestamp policy

* Thu Aug 01 2002 Brent Fox <bfox@redhat.com> 0.9.7-2
- use new sample sound
- require sox for playing ability

* Thu Aug 01 2002 Brent Fox <bfox@redhat.com> 0.9.7-1
- Raise a warning if run from the console

* Wed Jul 24 2002 Brent Fox <bfox@redhat.com> 0.9.6-4
- Raise the volume on /usr/bin/play

* Wed Jul 24 2002 Brent Fox <bfox@redhat.com> 0.9.6-3
- fix Makefiles and spec files so that translations get installed

* Wed Jul 24 2002 Brent Fox <bfox@redhat.com> 0.9.6-2
- update spec file for public beta 2

* Wed Jul 24 2002 Tammy Fox <tfox@redhat.com> 0.9.5-2
- Fix desktop file (bug #69487)

* Thu Jul 18 2002 Brent Fox <bfox@redhat.com> 0.9.5-1
- Use GtkDialog instead of GtkWindow

* Tue Jul 16 2002 Brent Fox <bfox@redhat.com> 0.9.4-2
- bump rev num and rebuild

* Sat Jul 13 2002 Brent Fox <bfox@redhat.com> 0.9.3-3
- Draw window in center of the screen

* Thu Jul 11 2002 Brent Fox <bfox@redhat.com> 0.9.3-2
- Update changelogs and rebuild

* Thu Jul 11 2002 Brent Fox <bfox@redhat.com> 0.9.3-1
- Update changelogs and rebuild

* Mon Jul 01 2002 Brent Fox <bfox@redhat.com> 0.9.2-1
- Bump rev number

* Wed Jun 25 2002 Brent Fox <bfox@redhat.com> 0.9.1-1
- Fixed description

* Tue Jun 25 2002 Brent Fox <bfox@redhat.com> 0.9.0-5
- Create pot file

* Mon Jun 24 2002 Brent <bfox@redhat.com>
- Handle having no soundcards at all

* Mon Jun 24 2002 Brent Fox <bfox@redhat.com> 0.9.0-4
- Fix spec file

* Fri Jun 21 2002 Brent Fox <bfox@redhat.com> 0.9.0-3
- rebuild for completeness

* Thu Jun 20 2002 Brent Fox <bfox@redhat.com> 0.9.0-2
- Add snapsrc to Makefile

* Wed Jun 12 2002 Brent Fox <bfox@redhat.com> 0.1.0-7
- Comment out writing the file for now

* Mon Jun 03 2002 Brent Fox <bfox@redhat.com> 0.1.0-6
- Move the splitting of description in to maker and model to the backend

* Fri May 31 2002 Brent Fox <bfox@redhat.com> 0.1.0-5
- Allow redhat-config-soundcard to return a string to firstboot if the card has changed

* Fri May 31 2002 Brent Fox <bfox@redhat.com> 0.1.0-4
- Use a different icon now

* Thu May 30 2002 Brent Fox <bfox@redhat.com> 0.1.0-3
- Remove symlink for firstboot.  It won't be it's own step in firstboot

* Thu May 30 2002 Brent Fox <bfox@redhat.com> 0.1.0-2
- Added some code to make it callable from firstboot

* Fri May 17 2002 Brent Fox <bfox@redhat.com>
- initial coding and packaging

